version: '2.4'
services:
  rsyslogd:
    image: "nexus.gz1.opensdn.io:5002/contrail-external-rsyslogd:nightly-r24.1-centos"
    env_file: /etc/contrail/common.env
    network_mode: "host"
    volumes:
      ['/usr/bin:/host/usr/bin', '/etc/contrail/ssl:/etc/contrail/ssl', '/etc/sysctl.d:/etc/sysctl.d',
        '/etc/hosts:/etc/hosts', '/etc/timezone:/etc/timezone', '/etc/localtime:/etc/localtime',
        '/var/log/contrail:/var/log/contrail', '/var/crashes:/var/crashes', '/var/run:/var/run']

    logging:
      driver: "json-file"
      options:
        max-size: "50m"
        max-file: "10"
    restart: always
